# Copyright 2008 Wind River Systems Inc.

DEVICE_MODULE_TEST_DIR = audio_connection_manager/dbus_test_scripts/device_module
MODULES := 
include $(patsubst %, $(DEVICE_MODULE_TEST_DIR)/%/module.mk, $(MODULES))

CFLAGS += -I${DEVICE_MODULE_TEST_DIR} -I../../
CFLAGS += `pkg-config --cflags dbus-1 glib-2.0`

LIBS += `pkg-config --libs dbus-1 glib-2.0 dbus-glib-1 gmodule-2.0 gobject-2.0 gthread-2.0` \
        -pthread -lrt -lutil -Wl,--export-dynamic -ldl -lpulse


DEVICE_MODULE_TEST = $(DEVICE_MODULE_TEST_DIR)/device_module
#TESTS += $(DEVICE_MODULE_TEST)
$(DEVICE_MODULE_TEST) : $(wildcard $(DEVICE_MODULE_TEST_DIR)/*.c) $(wildcard $(INCLUDEDIR)/*.h) $(wildcard $(DEVICE_MODULE_TEST_DIR)/*.h)
	@$(MAKE) -C $(DEVICE_MODULE_TEST_DIR)

clean: clean_DEVICE_MODULE_TEST
.PHONY: clean_DEVICE_MODULE_TEST
clean_DEVICE_MODULE_TEST:
	@$(MAKE) -C $(DEVICE_MODULE_TEST_DIR) clean 
