ACM_DIR = audio_connection_manager

# Add the local source files with a path relative to the directory of the top level makefile
SRC += ${ACM_DIR}/acmd.c \
       ${ACM_DIR}/acmd_errors.c \
       ${ACM_DIR}/AudioConnectionManager.c \
       ${ACM_DIR}/custom_marshall.c \
       
XML_PREFIXES := ${ACM_DIR}/acm \
                ${ACM_DIR}/device_control_module
                
DOXYGEN_FILES  := $(patsubst %, %-doxygen.cpp, $(XML_PREFIXES))
GLUE_FILES     := $(patsubst %, %-glue.h, $(XML_PREFIXES))
BINDINGS_FILES := $(patsubst %, %-bindings.h, $(XML_PREFIXES))
XML_HEADERS    += $(GLUE_FILES) $(BINDINGS_FILES)

%-doxygen.cpp: %.xml Makefile
	@echo "Creating $@..."
	xsltproc $(XML_TO_DOXYGEN_SCRIPT) $< > $@