ABM_DIR = audio_bus_manager
MODULES := plugins
include $(patsubst %, $(ABM_DIR)/%/module.mk, $(MODULES))

ABM_LIB = $(ABM_DIR)/libAudioBusManager.a
LIBRARIES += $(ABM_LIB)
CFLAGS += -I${ABM_DIR} -I${ABM_DIR}/plugins

$(ABM_LIB) : $(wildcard $(ABM_DIR)/*.c) $(wildcard $(INCLUDEDIR)/*.h) $(wildcard $(ABM_DIR)/*.h)
	@$(MAKE) -C $(ABM_DIR) 

clean: clean_ABM
.PHONY: clean_ABM
clean_ABM:
	@$(MAKE) -C $(ABM_DIR) clean 
